@media (prefers-reduced-motion: no-preference) {
    /* Reveal Animation */
    .--hasRevealObserver {
        & .u-moveIn,
        & .Article--static .Article__content,
        & .footer.--extended .footer__bottom > *,
        & .footer.--basic .footer__inner > *,
        & .Article__collapsibleWrapper,
        & .CollapsibleFaqList__item {
            opacity: 0;
            translate: 0 4rem;
            transition: all .6s ease-out;
        }
    }

    .--hasRevealObserver {
        & .u-moveIn.--revealed,
        & .Article--static .Article__content.--revealed,
        & .footer.--extended .footer__bottom > *.--revealed,
        & .footer.--basic .footer__inner > *.--revealed,
        & .Article__collapsibleWrapper.--revealed,
        & .CollapsibleFaqList__item.--revealed {
            opacity: 1;
            translate: 0 0;
        }
    }

    /* Stagger animation for grids */
    @container (min-width: calc(256px * 2 + 2rem)) {
        .--2col {
            & .u-moveIn:nth-child(2n + 1) { transition-delay: 0.1s; }
            & .u-moveIn:nth-child(2n + 2) { transition-delay: 0.2s; }
        }
    }

    @container (min-width: calc((256px * 3) + (2rem * 2))) {
        .--3col {
            & .u-moveIn:nth-child(3n + 1) { transition-delay: 0.1s; }
            & .u-moveIn:nth-child(3n + 2) { transition-delay: 0.2s; }
            & .u-moveIn:nth-child(3n + 3) { transition-delay: 0.3s; }
        }
    }

    @container (min-width: calc(256px * 4 + 3 * 2rem)) {
        .--4col {
            & .u-moveIn:nth-child(4n + 1) { transition-delay: 0.1s; }
            & .u-moveIn:nth-child(4n + 2) { transition-delay: 0.2s; }
            & .u-moveIn:nth-child(4n + 3) { transition-delay: 0.3s; }
            & .u-moveIn:nth-child(4n + 4) { transition-delay: 0.4s; }
        }
    }
}
